{% extends 'base.html.twig' %}

{% block title %} Liste des produits vendus{% endblock %}

{% block body %}
<div class="col-md-12">
  <div class="row">
    <div class="col d-flex justify-content-center">
      <h1 class="my-5">Produits</h1>
    </div>
  </div>
  <div class="row">

    {% for product in products %}
    <div class="col-md-6">
      <div class="card mb-4">
        <div class="card-body">
          <h5 class="card-title"><a href='/product/{{ product.id }}'>{{ product.name | upper }}</a></h5>
          <p class="card-text"><strong>{{ product.price }}€</strong></p>
          {% if product.description | length > 300 %}
          <p class="card-text">
            {{ product.description | slice(0,300) }}
          </p>
          <a href="{{ path('product.show', {id : product.id}) }}"><button type="button" class="btn btn-primary">voir
              plus</button></a>
          {% else %}
          <div class="row">
            <p class="card-text">{{ product.description }}</p>
          </div>
          {% endif %}



          <p class="card-text">{{ product.createdAt | date("m/d/Y") }}</p>

        </div>
      </div>
    </div>

    {% endfor %}
    <div></div>

  </div>
</div>
{% endblock %}